-- Author: Lionel Leeser
-- Date: 21.01.18

local min_dt = 0
local next_time = 0

function love.load()
    min_dt = 1/60
    next_time = love.timer.getTime()
end

function love.update(dt)
    next_time = next_time + min_dt

    local cur_time = love.timer.getTime()
    if next_time <= cur_time then
        next_time = cur_time
        return
    end
    love.timer.sleep(next_time - cur_time)
end

function love.keypressed(key)

end

function love.draw()
   
end

function love.quit()

end
